<!DOCTYPE html>
<html>
	<head>
	<title>Software Engineering Code of Ethics and Professional Practice</title>

	</head>
	<body>
		<h1 style="font-size:30px;">Software Engineering Code of Ethics and</h1>
		<h2 style="font-size:30px;">Professional Practice</h2>

		<h3 style="font-size:20px;">IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professinal</h3>
		<h4 style="font-size:20px;">Practices</h4>
		<hr/>
		
		

		<p><strong>Keywords</strong>:code of ethics .professional,software engineering </p>
		<br>
	
		<strong>PREAMBLE</strong>
		<br>

		<p>The short version of the code summarizes aspirations at a high level of asbtraction. The clauses that are included in the full version give examples and details of how these aspirations change the way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspiration can become high-sounding but empty; together, the aspirations and the details form a cohesive code.</p>
		
		<p>Software engineers shall commit themselves to making the analysis, specification, design,development, testing, and maintenance of software a beneficial and respected profession. In accordance with their commitment to the health,safety,and welfare of the public, software engineers shall adhere to the following eight principles:</p>
		<br>
		<br>

		<strong>PRINCIPLES</strong>

		<ol type="1">
			<li><em>Public</em>. Software engineers shall act consistently with the public interest.</li>
			<li><em>client and employer</em>.Sotware engineers shall act the manner that is in the best interest og their client and employer.consistent with the public interest.</li>
			<li><em>Product</em>.Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.  </li>
			<li><em>Judgement</em>. Software engineers shall maintain integrity and independence in their professional judgement.</li>
			<li><em>Management</em>.Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance. </li>
			<li><em>Profession</em>.Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.</li>
			<li><em>Colleagues</em>.Software engineers shall be fair to and supportive of their colleagues.</li>
			<li><em>Self</em>.Software engineers shall participate in lifelong learning regarding the practice if their profession and shall promote an ethical approach to the practice of the profession.</li>




</body>
</html>